import { Mongoose, Schema } from 'mongoose';
export interface PluginOptions {
    mongoose: Mongoose;
    omit?: string | string[];
    [k: string]: any;
}
/**
 * @param {Schema} schema Schema object passed by Mongoose Schema.plugin
 * @param {*} [opts] Options passed by Mongoose Schema.plugin
 * @param {Mongoose} [opts.mongoose] Mongoose instance to use
 * @param {string|string[]} [opts.omit] fields to omit from diffs (ex. ['a', 'b.c.d'])
 */
export default function mongooseJsonDiff(schema: Schema, pluginOpts: PluginOptions): void;
