"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isPlainObject = require("is-plain-object");
function omitDeep(source, paths) {
    if (!source)
        return source;
    const keys = Array.isArray(paths) ? paths : [paths];
    if (!keys.length)
        return source;
    if (Array.isArray(source)) {
        return source.map(s => omitDeep(s, keys));
    }
    if (isPlainObject(source)) {
        keys.forEach(key => delete source[key]);
        Object.keys(source).forEach(key => {
            source[key] = omitDeep(source[key], paths);
        });
    }
    return source;
}
exports.default = omitDeep;
